package morpion;

import morpion.modele.partie.JeuMorpionModele;
import morpion.modele.plateau.PlateauMorpionModele;
import morpion.modele.plateau.Case;
import morpion.modele.plateau.ContenuCase;
import morpion.modele.partie.EtatJeu;
import morpion.modele.partie.MorpionException;
import java.awt.BorderLayout;
import java.awt.Point;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JFrame;
import javax.swing.JTextField;

/**
 * Application principale.
 * @author rosmord
 */
public class ApplicationMorpion {

    private JFrame frame = new JFrame("Morpion");
    private PlateauMorpionModele plateauMorpion= new PlateauMorpionModele();
    private JMorpion morpion = new JMorpion(plateauMorpion);
    private JTextField message = new JTextField();
    private JeuMorpionModele modele = new JeuMorpionModele(plateauMorpion);

    /**
     * Le contrôle qui va prendre en charge le jeu de morpion...
     */
    private MouseListener mouseListener = new MouseAdapter() {      
        @Override
        public void mousePressed(MouseEvent e) {
            // à écrire !!!
        }
    };

    public ApplicationMorpion() {
        morpion.addMouseListener(mouseListener);
        message.setEditable(false);
        frame.setLayout(new BorderLayout());
        frame.add(morpion, BorderLayout.CENTER);
        frame.add(message, BorderLayout.SOUTH);
        frame.pack();
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setVisible(true);
    }

}
